Skip to main content

Rename profile

POST /api/v1/settings/profiles/{name}/rename

Rename a saved profile. Preserves the stored LLM config (including the api_key) and the active flag if the renamed profile was active. Returns 409 if new_name is already in use by a different profile.

Parameters​

NameInTypeRequiredDescription
namepathstringyes—

Request body​

FieldTypeRequiredDescription
new_namestringyes—

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
namestringyes—
messagestringyes—

Operation ID: rename_profile_api_v1_settings_profiles__name__rename_post